package com.onsiteservice.miniapp.controller.address.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("修改服务地址请求模型")
public class UpdateServiceAddressDTO {

    @ApiModelProperty(value = "服务地址id", required = true)
    private Long id;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名", required = true)
    private String name;

    /**
     * 手机或电话
     */
    @ApiModelProperty(value = "手机或电话", required = true)
    private String phone;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id", required = true)
    private Long areaId;

    /**
     * 区域名称路径
     */
    @ApiModelProperty(value = "区域名称路径", required = true)
    private String namePath;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址", required = true)
    private String address;

}